# Uses of Interface
org.eclipse.emf.compare.ResourceLocationChange

Packages that use ResourceLocationChange
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.spec
org.eclipse.emf.compare.util

## Uses of ResourceLocationChange in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return ResourceLocationChange
Modifier and Type
Method
Description
`ResourceLocationChange`
CompareFactory.`createResourceLocationChange()`
Returns a new object of class 'Resource Location Change'.
Methods in org.eclipse.emf.compare that return types with arguments of type ResourceLocationChange
Modifier and Type
Method
Description
`EList<ResourceLocationChange>`
MatchResource.`getLocationChanges()`
Returns the value of the 'Location Changes' containment reference list.

## Uses of ResourceLocationChange in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement ResourceLocationChange
Modifier and Type
Class
Description
`class`
`ResourceLocationChangeImpl`
An implementation of the model object 'Resource Location Change'.
Fields in org.eclipse.emf.compare.impl with type parameters of type ResourceLocationChange
Modifier and Type
Field
Description
`protected EList<ResourceLocationChange>`
MatchResourceImpl.`locationChanges`
The cached value of the '`Location Changes`' containment reference list.
Methods in org.eclipse.emf.compare.impl that return ResourceLocationChange
Modifier and Type
Method
Description
`ResourceLocationChange`
CompareFactoryImpl.`createResourceLocationChange()`
Methods in org.eclipse.emf.compare.impl that return types with arguments of type ResourceLocationChange
Modifier and Type
Method
Description
`EList<ResourceLocationChange>`
MatchResourceImpl.`getLocationChanges()`

## Uses of ResourceLocationChange in org.eclipse.emf.compare.internal.spec

Classes in org.eclipse.emf.compare.internal.spec that implement ResourceLocationChange
Modifier and Type
Class
Description
`class`
`ResourceLocationChangeSpec`
This specialization of the `ResourceLocationChangeImpl` class allows us to define the derived features and operations implementations.

## Uses of ResourceLocationChange in org.eclipse.emf.compare.util

Methods in org.eclipse.emf.compare.util with parameters of type ResourceLocationChange
Modifier and Type
Method
Description
`T`
CompareSwitch.`caseResourceLocationChange(ResourceLocationChange object)`
Returns the result of interpreting the object as an instance of 'Resource Location Change'.